fortune(1)

# NAME
fortune - fortune implementation in POSIX awk/sh

# SYNOPSIS
*fortune*++
*fortune* [options]

# DESCRIPTION
This is a reimplementation of the classic fortune program in POSIX compliant
awk/sh. Why is this needed? The classic fortune program included in the BSDs
isn't portable, and fortune-mod has the craziest build system ever dreamt
of. This script does a good enough job for most fortune seekers.

The meat and potatoes of the script is some awk code, however it is wrapped in a
shell script to do argument parsing.

fortune looks for cookie files in $FORTUNEDIR, which defaults to
/usr/share/fortune. Cookie files are simple text files with each fortune
seperated by a "%" on a newline. Examples can be found at
<https://github.com/shlomif/fortune-mod>.

# OPTIONS
*-h*, *--help*
	Show a help message

*-l*, *--list*
	List installed cookie files

*-c*, *--cookie*
	Specify a cookie file

*-n*, *--min* MINIMUM_LENGTH
	Specify a minimum output length

*-N*, *--max* MAXIMUM_LENGTH
	Specify a maximum output length

# EXIT CODES
*0*	Success++
*1*	Generic error++
*2*	Argument parsing error

# COPYRIGHT
This is free and unencumbered software released into the public domain. For more
information, please refer to <https://unlicense.org/>.
